Bug 128268 - file conflicts between x86_64 and i386 packages
Summary: file conflicts between x86_64 and i386 packages
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-20 22:53 UTC by Adrian Likins
Modified: 2018-04-11 10:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 16:17:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adrian Likins 2004-07-20 22:53:41 UTC
Description of problem:


file /etc/gre.conf from install of mozilla-1.7-0.3.2 conflicts with
file from package mozilla-1.7-0.3.2
file /usr/bin/mozilla from install of mozilla-1.7-0.3.2 conflicts with
file from package mozilla-1.7-0.3.2
file /usr/share/man/man1/mozilla.1.gz from install of
mozilla-1.7-0.3.2 conflicts with file from package mozilla-1.7-0.3.2

wasn't sure if were counting package file conflicts between arches
as conflicts yet or not, but gafton said to file it, so...

Comment 1 Ilya Konstantinov 2005-11-15 10:18:55 UTC
It is important to separate the embedding libraries out of the 'mozilla'
package, so that both the i386 and x86-64 mozilla libraries (xpcom etc.) could
be installed at the same time.

The actual seamonkey should be kept in a conflicting package so either i386 or
x86-64 could be installed, but not both. It should rely on the non-conflicting
mozilla-libs.

Comment 2 Ilya Konstantinov 2005-11-15 11:13:30 UTC
Christopher, let me know if you generally agree with my proposal to split a
libraries subpackage from mozilla. If so, I'll try to find time to write a patch
to the spec myself.

Comment 3 Ilya Konstantinov 2005-11-27 12:20:23 UTC
Christopher, I'm still waiting for your answer.

Comment 4 Christopher Aillon 2005-11-27 13:25:43 UTC
The proposal in comment 1 is incorrect.  I will fix this but it is somewhat low
priority.

Comment 5 Ilya Konstantinov 2005-11-27 13:35:06 UTC
I'm stepping forward to fix this before you do. Please let me know what fault
you see in my proposal of spliting out mozilla-libs as a subpackage.

Comment 6 Christopher Aillon 2005-11-27 16:15:10 UTC
Well since I've already fixed this, there's no way you can fix it before I do. 
;-) It just won't get pushed through for a little while.

The fault is that mozilla should not depend on a subpackage which is not even
distributed by upstream.  Additionally, installing both 32 and 64 bit packages
*should* work.  Your proposal will not help that cause.

Comment 7 -M 2007-08-20 23:17:20 UTC
This issue seems to be more than just this [ackage as I have seen it on glibc
too, here is some info I have noticed that might help in tracking this down:

http://forums.fedoraforum.org/showthread.php?p=850479#post850479

Comment 8 Matěj Cepl 2008-02-08 16:17:41 UTC
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages in Rawhide, which may have resolved this issue. Users who have
experienced this problem are encouraged to upgrade their system to the latest
version of their distribution available.

Closing this bug as CANTFIX. Please, reopen, if this bug is still reproducable
on the latest update of your distribution.

[This is mass-closing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if we are closing your bug in mistake; please, don't hesitate to
reopen, if it is still alive issue.]


Note You need to log in before you can comment on or make changes to this bug.